org.apache.cassandra.cql3

## Class Constants.Literal

- java.lang.Object
- - org.apache.cassandra.cql3.Constants.Literal

All Implemented Interfaces:
  AssignementTestable, Term.Raw

Enclosing class:
  Constants

    public static class Constants.Literal
    extends java.lang.Object
    implements Term.Raw

### Method Summary

Methods
`static Constants.Literal` `bool(java.lang.String text)`
`static Constants.Literal` `floatingPoint(java.lang.String text)`
`java.lang.String` `getRawText()`
`static Constants.Literal` `hex(java.lang.String text)`
`static Constants.Literal` `integer(java.lang.String text)`
`boolean` `isAssignableTo(java.lang.String keyspace, ColumnSpecification receiver)`
`Constants.Value` `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
`static Constants.Literal` `string(java.lang.String text)`
`java.lang.String` `toString()`
`static Constants.Literal` `uuid(java.lang.String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### string

    public static Constants.Literal string(java.lang.String text)

#### integer

    public static Constants.Literal integer(java.lang.String text)

#### floatingPoint

    public static Constants.Literal floatingPoint(java.lang.String text)

#### uuid

    public static Constants.Literal uuid(java.lang.String text)

#### bool

    public static Constants.Literal bool(java.lang.String text)

#### hex

    public static Constants.Literal hex(java.lang.String text)

#### prepare

    public Constants.Value prepare(java.lang.String keyspace,
                          ColumnSpecification receiver)
                            throws InvalidRequestException

Description copied from interface: `Term.Raw`
This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

Specified by:
  `prepare` in interface `Term.Raw`
  `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
Returns:
  the prepared term.
Throws:
  `InvalidRequestException`

#### getRawText

    public java.lang.String getRawText()

#### isAssignableTo

    public boolean isAssignableTo(java.lang.String keyspace,
                         ColumnSpecification receiver)

Specified by:
  `isAssignableTo` in interface `AssignementTestable`
Returns:
  whether this object can be assigned to the provided receiver

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`